FLAM® Issue Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000152CLE/P2. CLPpublic2013-08-20 07:452016-12-16 09:01
ReporterFalk Reichbott 
Assigned ToFalk Reichbott 
PrioritynormalSeverityfeatureReproducibilityN/A
StatusresolvedResolutionfixed 
PlatformGeneralOSGeneralOS VersionGeneral
Product Version1.0 
Target Version1.1Fixed in Version1.2 
Summary0000152: Add new data type for options (-R, --Recursive)
DescriptionTo determine options a new data type will be added.
Syntax: '--'KEYWORD or '-'LETTER
This will be required for directory walk in FL5 to setup for example the Option "-R" or --Recursive for rekursive.
This new datatype will work like the data type switch, the only difference are the possible hyphens in front.
It is mor or less a other kind of grammar to specify a Switch.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0000592)
Falk Reichbott (administrator)
2014-08-11 19:11

A option like -R is simply a switch (--Rekursive) in another notation. -KYW and --KYW are supported now. The abrivate a keyword for a switch or a positional parameter (object or overlay) with one letter must still be implemented.
(0001045)
Falk Reichbott (administrator)
2016-12-16 09:01

The '-' or '--' infront of an keyword is optional supported and you can define aliasses with one letter if you want.

- Issue History
Date Modified Username Field Change
2013-08-20 07:45 Falk Reichbott New Issue
2013-08-20 07:45 Falk Reichbott Status new => assigned
2013-08-20 07:45 Falk Reichbott Assigned To => Falk Reichbott
2014-08-11 19:11 Falk Reichbott Note Added: 0000592
2016-12-16 09:01 Falk Reichbott Note Added: 0001045
2016-12-16 09:01 Falk Reichbott Status assigned => resolved
2016-12-16 09:01 Falk Reichbott Fixed in Version => 1.2
2016-12-16 09:01 Falk Reichbott Resolution open => fixed


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker